Android 向け pdfview の動作環境 ~その2~

pdfivew が対応する Android のバージョンは、1.0.1 版から
「Android 4.0 (API Level 14) 以降」
となっています。

Android のバージョンは端末のカタログスペックなどにも登場するので、良くご存じかと思います。下記に Android バージョン別のシェアがあります。
http://developer.android.com/intl/ja/about/dashboards/index.html
Android 4.0.以上であれば、95%程度のバージョンがカバーされます。

「API レベル」はあまり耳にしないかもしれませんが、Android のAPI を識別する番号です。例えば Android 4.0.3, 4.0.4 では OS のバージョンは異なりますが、API レベルは同じ15です。API レベルが同じであれば API の互換性が保たれます。こちらにバージョンと API レベルの一覧があります。
http://developer.android.com/intl/ja/guide/topics/manifest/uses-sdk-element.html#ApiLevels

pdfview は API レベル14 以上であれば動作しますので、Android 5.x や6.0 でも利用できます。これらをターゲットとしてアプリケーションを開発すれば、マテリアルデザインなど最新の機能を利用した PDF ビューアーアプリケーションを開発することも出来ます。ぜひご利用ください。

☆すぐにお試し可能な評価版もございます。

詳しくは下記アンテナハウスのホームページをご確認ください。
http://www.antenna.co.jp/ahpdfview/

【お問合せ先】
アンテナハウス株式会社
OEM営業グループ
e-mail:oem@antenna.co.jp
tel:03-5829-9021